(Migrated) Problem installing zato in centos (Instructions seem wrong)

(This message has been automatically imported from the retired mailing list)

Hello, I am having trouble installing zato in centos:
(following this instructions:
https://zato.io/docs/admin/guide/install-rhel.html)
or this ones (the same) https://zato.io/downloads-2.0-rhel.html

I run this (all as root):
curl -sO https://zato.io/repo/zato-0CBD7F72.pgp.asc

rpm --import ~/zato-0CBD7F72.pgp.asc

nano /etc/yum.repos.d/zato-2.0.repo
###content###
[zato-2.0]
name=zato-2.0
baseurl=https://zato.io/repo/stable/2.0/rhel/el$releasever/$basearch
enabled=1
gpgcheck=1
gpgkey=https://zato.io/repo/zato-0CBD7F72.pgp.asc
############

yum clean expire-cache
yum check-update

And

I get this error:
https://zato.io/repo/stable/2.0/rhel/ellatest/x86_64/repodata/repomd.xml:
[Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 404 Not
Found”

Please help.

Erick

It’s an Amazon AMI EC2 instance
amazon-linux-ami 2015.03

Regards,

Erick

On Sat, May 23, 2015 at 2:34 PM, Dariusz Suchojad dsuch@zato.io wrote:

On 23/05/15 21:30, Erick Rodriguez wrote:

I get this error:
https://zato.io/repo/stable/2.0/rhel/ellatest/x86_64/repodata/repomd.xml
:
[Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 404 Not
Found”

Hello,

which CentOS version is it, precisely?

The repository has packages for RHEL/CentOS 6 and 7 but your version is
not recognized. Is it CentOS 5?


Dariusz Suchojad

https://zato.io
ESB, SOA, REST, APIs and Cloud Integrations in Python

On 23/05/15 21:30, Erick Rodriguez wrote:

I get this error:
https://zato.io/repo/stable/2.0/rhel/ellatest/x86_64/repodata/repomd.xml:
[Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 404 Not
Found”

Hello,

which CentOS version is it, precisely?

The repository has packages for RHEL/CentOS 6 and 7 but your version is
not recognized. Is it CentOS 5?

It is rhel based, and all centos6 packages can be installed with no
problems. Could I use a fixed url in the yum repo conf to get the package?

Regards,

Erick

On Sat, May 23, 2015 at 3:48 PM, Dariusz Suchojad dsuch@zato.io wrote:

On 23/05/15 21:42, Erick Rodriguez wrote:

It’s an Amazon AMI EC2 instance
amazon-linux-ami 2015.03

The repository doesn’t have packages for this system. Only RHEL/CentOS 6
and 7.


Dariusz Suchojad

https://zato.io
ESB, SOA, REST, APIs and Cloud Integrations in Python